Skip to main content
`Ctrl`+`K`

# PetscDSSetImplicit

Set the flag for implicit solve for this field. This is just a guide for `TSARKIMEX`

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetImplicit(PetscDS prob, PetscInt f, PetscBool implicit)

Not Collective

## Input Parameters

- prob - The `PetscDS` object

- f - The field number

- implicit - The flag indicating what kind of solve to use for this field

## See Also

`TSARKIMEX`, `PetscDSGetImplicit()`, `PetscDSSetDiscretization()`, `PetscDSAddDiscretization()`, `PetscDSGetNumFields()`, `PetscDSCreate()`

## Level

developer

## Location

src/dm/dt/interface/dtds.c

## Examples

src/ts/tutorials/ex48.c
src/ts/tutorials/ex30.c
src/ts/tutorials/ex45.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages